P4_REWRITER_INPUT_AR(3)

NAME
p4_rewriter_input_arg - "REWRITER-INPUT-ARG(" ( arg# "tracked-stack -- changer<rp;>" -- ) [EXT]

SYNOPSIS

#include <pfe/stackhelp-ext.h>

FCodep4_rewriter_input_arg(---);

DESCRIPTION

suppose that the left side is a tracked stack line during compiling and the right side is a candidate changer input stack. Assume the righthand candidate does match - look at the given argument on the left side and show the prefix being copied to the output trackstack when the rewrite-rule is gettin applied later.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>